# Airfoil Speakers

Airfoil Speakers for Linux allows your Linux machine 
to receive any audio sent by Airfoil.

For more details on Airfoil, visit https://rogueamoeba.com/airfoil/

## Installation

### Part 1: Install necessary dependencies 

Airfoil Speakers has the following dependencies:

- libavahi and the avahi daemon (which must be running)
- libasound2
- ncurses
- The Mono framework

Most Linux distributions, including Ubuntu and Fedora, include the first three of these dependencies as part of their stock set of packages. However, you will most likely need to install the Mono framework. 

We recommend installing the `mono-complete` package. The command to do this on Ubuntu (and other apt/deb-based distros) is:

	sudo apt install mono-complete

For Fedora (and other rpm-based distros), use:

	sudo yum install mono-complete


### Part 2: Install Airfoil Speakers

To install Airfoil Speakers itself, invoke the following command from the source directory:

	sudo make install

The included makefile provides full details on what this command will do.


## Running Airfoil Speakers

Once Airfoil speakers and the necessary dependencies are installed, you can run Airfoil Speakers by clicking on its desktop icon, or by running this command
in the terminal window:

	airfoilspeakers

Happy listening!